/*
   model/triangle.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/triangle.h"

namespace model
{

Triangle::Triangle(math::Vector3f const &v0, math::Vector3f const &v1, math::Vector3f const &v2,
		   math::Vector3f const &normal, math::Color const &color, bool detail) :
		triangle_v0(v0),
		triangle_v1(v1),
		triangle_v2(v2),
		triangle_normal(normal),
		triangle_color(color)
{
	triangle_detail = detail;
}

Triangle::~Triangle()
{}

}
